FROM openshift/golang-builder:1.12 AS builder
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=7 OS_GIT_VERSION=4.3.7-202003161611-1ba567f OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=1ba567febc0443115ed85d706c363766b039d46d SOURCE_GIT_TAG=1ba567f SOURCE_GIT_URL=https://github.com/openshift/baremetal-runtimecfg SOURCE_DATE_EPOCH=1583336138 OS_GIT_COMMIT=1ba567f BUILD_VERSION=v4.3.7 BUILD_RELEASE=202003161611
WORKDIR /go/src/github.com/openshift/baremetal-runtimecfg
COPY . .
RUN GO111MODULE=on go build --mod=vendor cmd/runtimecfg/runtimecfg.go
RUN GO111MODULE=on go build --mod=vendor cmd/dynkeepalived/dynkeepalived.go
RUN GO111MODULE=on go build --mod=vendor cmd/monitor/monitor.go

FROM openshift/ose-base:v4.3.7.20200316.161155
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=7 OS_GIT_VERSION=4.3.7-202003161611-1ba567f OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=1ba567febc0443115ed85d706c363766b039d46d SOURCE_GIT_TAG=1ba567f SOURCE_GIT_URL=https://github.com/openshift/baremetal-runtimecfg SOURCE_DATE_EPOCH=1583336138 OS_GIT_COMMIT=1ba567f BUILD_VERSION=v4.3.7 BUILD_RELEASE=202003161611
COPY --from=builder /go/src/github.com/openshift/baremetal-runtimecfg/runtimecfg /usr/bin/
COPY --from=builder /go/src/github.com/openshift/baremetal-runtimecfg/monitor /usr/bin
COPY --from=builder /go/src/github.com/openshift/baremetal-runtimecfg/dynkeepalived /usr/bin
COPY --from=builder /go/src/github.com/openshift/baremetal-runtimecfg/scripts/* /usr/bin/

ENTRYPOINT ["/usr/bin/runtimecfg"]

LABEL \
        io.k8s.display-name="baremetal-runtimecfg" \
        io.k8s.description="Retrieves Node and Cluster information for baremetal network config" \
        maintainer="Antoni Segura Puimedon <antoni@redhat.com>" \
        name="openshift/ose-baremetal-runtimecfg" \
        com.redhat.component="ose-baremetal-runtimecfg-container" \
        version="v4.3.7" \
        release="202003161611" \
        io.openshift.build.commit.id="1ba567febc0443115ed85d706c363766b039d46d" \
        io.openshift.build.source-location="https://github.com/openshift/baremetal-runtimecfg" \
        io.openshift.build.commit.url="https://github.com/openshift/baremetal-runtimecfg/commit/1ba567febc0443115ed85d706c363766b039d46d"

